Description

The idea is to be able to store projects within a central database system.

In a bigger multi-user working scenario, layers are stored within a centralized postgres database.

On the other hand, the environment to access those centralized databases is stored independently locally.

When considering that many of the users of the system might not know anything how the database is organized, it might happen that such

users could change properties related to the viewing and editing of those tables jeopardizing correctness of the tables.

In my precise use case, I helped someone define a complex layout of geo tables and relations. After that we created a project with all of

the subtleties, on how such tables would be edited and viewed.

Everything perfect up until now ! ;-)

The problem was that we needed to distribute this project through all of its users, and although distribution is problematic, it is even more

problematic that its users can modify the project.

For example, imagine a layer that is originally configure to show a combo box (Value Map) with two elements, any of its users can access

that same property, edit it, change the value map and start producing mistakes that only very late might be detected.

Using the databases, it might be possible to distribute projects as well as check for permissions on editing its features.

History

#1 - 2011-09-25 07:18 AM - Giovanni Manghi

If I understand your request, something similar is available in qgis-dev with the tool "embed layers and groups", which are imported from a shared project.

In any case think about supporting ($) the development of the feature you are requesting.

#2 - 2011-09-27 05:22 AM - Bill Williamson

This is the sort of functionality I think ESRI tools offer, out of that I presume;

- for some users shows a preparedness to pay for the feature

- for me makes the software overly complex for those who do not want the feature.

#3 - 2011-09-27 10:16 AM - Cupertino Miranda

Sorry but I don't seem to understand why someone would actually pay lots of money for such feature and why it makes software overly complex.

A very basic implementation of such feature could be to simply to create a table with a name::text and content::text in the database, where the content

would be the .qgs xml code.
So, same functions that would load and save the project can actually load it, but instead, taking the xml from a table row.

Regarding the non editable project, I still wasn't able to take a look at the code, so I cannot really argue on such feature.

I think you assume this feature would be what geodatabases are in ESRI tools, but from my understanding geodatabases are redundant when using

postgres, and in fact over complex to be implemented. IMHO geodatabases, when using postgres or other database engines, seem irrelevant.

#4 - 2011-12-09 08:32 AM - Paolo Cavallini

- Category set to Project Loading/Saving

#5 - 2011-12-16 02:10 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#6 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
